Bug 253511 - recording broken after latest gstreamer update
recording broken after latest gstreamer update
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 07:02 EDT by gareth foster
Modified: 2008-01-21 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 17:58:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gareth foster 2007-08-20 07:02:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6

Description of problem:
I had recording working fine with Jokosher and FC7, however, since the last gstreamer update came through Yum it has stopped working.

I arm an instrument, and press record, the time line starts to fill up for a second, then stops. Jokosher still responds and behaves as though recording is going ahead.

I can press the record button again after this point to stop it. Then, an error message dialog appears, its gstreamer type stuff, but basically its telling me that it can't find the track it thinks it just recorded.

Version-Release number of selected component (if applicable):
latest

How reproducible:
Always


Steps to Reproduce:
1. Install Jokosher
2. Try to record something
3.

Actual Results:
Recording fails

Expected Results:
Recording works as it used to

Additional info:
Working on a laptop with FC7, all updates from Yum (stable), and an external USB sound card (TASCAM US122). I doubt this has anything to do with the sound card it, worked fine for ages.
Comment 1 Christopher Brown 2007-08-20 07:13:43 EDT
Thanks for tackling bugzilla and filing the bug report Gareth.

In order for me to peer further into it, I need the gstreamer info. It should be
easily copiable from the dialog box. Any other info would be appreciated -
gstreamer version (I'm assuming 10.13).

Cheers
Chris
Comment 2 gareth foster 2007-08-20 16:46:00 EDT
gstreamer-0.10.13-0.1.fc7

Comment 3 Christopher Brown 2007-08-20 16:52:03 EDT
Sorry, I wasn't clear enough. I need the debugging output you mentioned. As in:

"Then, an error message dialog appears, its gstreamer type stuff,..."

Cheers
Chris
Comment 4 gareth foster 2007-08-20 16:54:10 EDT
Error loading file: None

Please make sure the file exists, and the appropriate plugin is installed.

Could not determine type of stream.

gsttypefindelement.c(737): gst_type_find_element_activate ():
/pipeline2/decodebin5/typefind
Comment 5 gareth foster 2007-08-20 16:56:28 EDT
Okay, I banged that info in there quick this time, last time, I took a few
moments while the dialog was still on screen and the whole machine locked up.

I noticed the HDD light was flashing away as responsiveness slipped away. I
wonder if something is sat in a loop allocating memory?
Comment 6 Christopher Brown 2007-08-20 17:04:42 EDT
(In reply to comment #5)
> Okay, I banged that info in there quick this time, last time, I took a few
> moments while the dialog was still on screen and the whole machine locked up.

Yuck.

> I noticed the HDD light was flashing away as responsiveness slipped away. I
> wonder if something is sat in a loop allocating memory?

I'd be inclined to re-file for gstreamer, might be a dupe of:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=251556

Could you run through gdb and post output? I am (fortunately by the sounds of
it) unable to reproduce here.

Cheers
Chris
Comment 7 gareth foster 2007-08-20 17:22:29 EDT
Hmm, won't crash again, GDB or no.

I didn't see anything useful sticking python through GDB tbh.

I also tried this without using my external sound card for a laugh, same story
with the on board one.
Comment 8 Christopher Brown 2007-08-20 17:39:10 EDT
Could you try the following:

http://snecker.fedorapeople.org/jokosher-0.9-5.fc7.noarch.rpm

It is the latest svn snapshot, pretty much RC for jokosher 1.0 so all the usual
caveats apply.

Cheers
Chris
Comment 9 Christopher Brown 2007-08-20 17:55:21 EDT
(In reply to comment #7)
> Hmm, won't crash again, GDB or no.
> 
> I didn't see anything useful sticking python through GDB tbh.

No and I have no idea why I asked you to do this. Maybe I meant Pdb :/

> I also tried this without using my external sound card for a laugh, same story
> with the on board one.

Okay, will need to nail this down to gstreamer or python or possibly gnonlin. I
have copied this to the upstream bugtracker as it looks like a regular issue:

https://bugs.launchpad.net/fedora/+source/jokosher/+bug/76047

Might need to appoint you as chief Fedora debugger if that is okay as I can't
reproduce at the moment.

Cheers
Chris
Comment 10 gareth foster 2007-08-22 10:52:52 EDT
I really want to try that out, but was out all last night, and probably will be
tonight.

I'm off on holls tomorrow, but if I get chance, I'll try it out tonight. If not,
it'll be a week before I can.
Comment 11 John (J5) Palmieri 2007-09-04 12:55:42 EDT
your package doesn't work. I get the same errors.

Error dialog:
  
Error loading file: None

Please make sure the file exists, and the appropriate plugin is installed.

Could not determine type of stream.

gsttypefindelement.c(737): gst_type_find_element_activate ():
/pipeline0/decodebin1/typefind

Output of jokosher -d:

Filling LADSPA Registry
         0 LADSPA effects loaded
        Reading in presets...
        ...done.
Cannot find "lame" plugin, disabling encoder: "lame"
Loading extensions:
        importing extension APIConsole-0.1-py2.4.egg
                ...failed.
No module named Globals
        importing extension jokosher-dbus.py
        importing extension GNOMEAudioProfiles.py
        importing extension Minimal-0.9-py2.4.egg
        importing extension ExtensionConsole-0.2-py2.5.egg
        importing extension SetTempo-0.1-py2.4.egg
        importing extension FreesoundSearch-0.2-py2.4.egg
        importing extension InstrumentTypeManager-0.2-py2.4.egg
        importing extension PidginExtension-0.1-py2.5.egg
Attempting to open: /home/quinticent/we/we.jokosher
Using autoaudiosink for audio output
added project playback bin to the pipeline
added adder0 to project playbackbin
added levelcaps to project playbackbin
added MasterLevel to project playbackbin
added autoaudiosink0 to project playbackbin
Loading project file version 0.9
added instrument playbackbin to adder playbackbin 0
linked instrument playbackbin to adder (project)
LOG COMMAND:  ('P', 'DeleteInstrument', [0]) from 148775564
can record
pre-record state: GST_STATE_NULL
unlinked instrument playbackbin from adder
removed instrument playbackbin from project playbackbin
create file source
Using pipeline: alsasrc device=hw:0 ! audio/x-raw-int,rate=44100 ! audioconvert
! level name=recordlevel interval=10000000 ! audioconvert ! flacenc ! filesink
location=/home/quinticent/we/audio/Vocal_0_1188924821.ogg
Recording in single-input mode
Using input track: 0
adding recordingbin
play() in Project.py
current state: GST_STATE_NULL
Preparing the controller
FADE POINT: time(0.00) vol(0.99)
FADE POINT: time(0.00) vol(0.99)
Set extra zero fade point
just set state to PAUSED
STATE CHANGED
-- status: GST_STATE_CHANGE_NO_PREROLL
-- pending: GST_STATE_VOID_PENDING
-- new: GST_STATE_PAUSED
Stop pressed, about to set state to READY
current state: GST_STATE_PAUSED
LOG COMMAND:  ('I0', 'DeleteEvent', [1]) from 148736556
Terminating recording.
State just set to READY
Removing recordingEvents bin
set state to NULL
added instrument playbackbin to adder playbackbin 0
linked instrument playbackbin to adder (project)
Event bus error: Could not determine type of stream. gsttypefindelement.c(737):
gst_type_find_element_activate (): /pipeline0/decodebin1/typefind
LOG COMMAND:  ('I0', 'ResurrectEvent', [1]) from 148810380
Stop pressed, about to set state to READY
current state: GST_STATE_READY
Terminating recording.
State just set to READY
Comment 12 Christopher Brown 2007-09-04 15:55:19 EDT
(In reply to comment #11)
> your package doesn't work. I get the same errors.

Cool, thanks for the debugging info John. This is upstream (has been for a
while) and is one of the main blockers for the 1.0 release. I've started pulling
occasional svn snapshots for F8 though it isn't fixed yet so don't get too
optimistic. A little investigation shows its a suspected API breakage so pulling
gstreamer 0.10.14 might resolve it. I'm unable to reproduce at the moment as it
seems happy with my basic laptop sound card hardware.

I'm changing this to verified and will keep a beady eye on upstream.

Cheers
Chris
Comment 13 Christopher Brown 2007-09-12 19:02:50 EDT
Folks,

Kindly pull gstreamer 0.10.14 from the development repositories and test as
discussion with the jokosher developers indicates this is now fixed. Alternately
test in F8. I'll give it a week or so and if I hear nothing will re-assign to
gstreamer or close.

Cheers
Chris
Comment 14 gareth foster 2007-09-13 16:35:57 EDT
I'd love to test this (I'm on the verge of forgetting another batch of nice
riffs), but its not in testing yet, and there are too many deps for me to risk
the F8 version (I think).
Comment 15 gareth foster 2007-09-13 16:38:34 EDT
Urgh! F8 isn't out for 2 months odd, will this actually make F7?
Comment 16 Christopher Brown 2007-09-13 16:49:22 EDT
(In reply to comment #14)
> I'd love to test this (I'm on the verge of forgetting another batch of nice
> riffs), but its not in testing yet, and there are too many deps for me to risk
> the F8 version (I think).

"The power of the riff compels me"

No chance will gstreamer-0.10.14 make F7. We went through this for F6 as well
I'm afraid.

Option 1)

foo@bar $ yum update gstreamer* --enablerepo=development

Option 2)

Fedora 8 Test 2

Option 3)

http://www.jokosher.org/setting-up-cvs-gstreamer

Sorry gareth, I wish I had better news.

Regards
Chris
Comment 17 gareth foster 2007-09-27 16:53:27 EDT
Hello from F8 Test 2. Still don't work. Urgh.

# rpm -q gstreamer
gstreamer-0.10.14-3.fc8
Comment 18 Christopher Brown 2007-09-29 07:56:04 EDT
Hi Gareth,

I've just kicked off a Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=178560

Rather than wait until it finds its way you could d/l from there and see if it
helps at all. I'm _really_ tempted to re-assign this to the gstreamer bods
though as they might be able to carry a patch for F-7 and F-8 which resolves
this. I'm waiting to see if one particular patch can be identified however.

Cheers
Chris
Comment 19 gareth foster 2007-10-01 15:39:55 EDT
Hmm,

Old project that I opened did the same old thing when I tried to record.

A new one gives me this instead ...

Argh! Something went wrong and a serious error occurred:

Internal GStreamer error: clock problem.  Please file a bug at
http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer.

gstpipeline.c(568): gst_pipeline_change_state (): /timeline:
Pipeline cannot operate with selected clock

It is recommended that you report this to the Jokosher developers or get help at
http://www.jokosher.org/forums/
Comment 20 Christopher Brown 2007-10-02 08:00:51 EDT
(In reply to comment #19)

> Internal GStreamer error: clock problem.  Please file a bug at
> http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer.

Okay, re-assigning then. Lets see what they have to say.
Comment 21 gareth foster 2007-11-07 13:41:36 EST
This is still rumbling on, afaik, Fedora will need 0.10.15 to get Jokosher
working again.

Will this update will be included?
Comment 22 Christopher Brown 2008-01-21 11:36:08 EST
(In reply to comment #21)
> This is still rumbling on, afaik, Fedora will need 0.10.15 to get Jokosher
> working again.
> 
> Will this update will be included?

Fedora 8 now has gstreamer 0.10.15 - are you still on Fedora 7 or have you upgraded?
Comment 23 gareth foster 2008-01-21 14:53:04 EST
I've packed in using Jokosher, Ardour wipes the floor with it, sadly for GStreamer.
Comment 24 Christopher Brown 2008-01-21 17:58:18 EST
Sorry to hear it Gareth but understandable given how long this bug has been
running on for now. Closing INSUFFICIENT_DATA - not that we didn't get enough
from you but because we're not going to be able to get any more. Thanks anyway
for taking the time to report this.

Note You need to log in before you can comment on or make changes to this bug.